%define name oxine
%define version 0.5
%define release %mkrel 6
%define xinever 1-0.beta9
Summary: OSD-based xine video player frontend
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/oxine/%{name}-%{version}.tar.bz2
License: GPL
URL: http://xine.sf.net
Group: Video
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libxine-devel >= %xinever
BuildRequires: liblirc-devel
BuildRequires: XFree86-devel
BuildRequires: eject
Requires: xine-plugins >= %xinever
Requires: eject
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
oxine is a lightweight, purely osd based xine frontend for set-top
boxes and home entertainment systems.

%prep
%setup -q
%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p %buildroot%{_menudir}
cat > %buildroot%{_menudir}/%{name} <<EOF 
?package(%name):command="%{_bindir}/%name" title="Oxine" longtitle="OSD Xine Video Player" needs="X11" section="Multimedia/Video" icon="video_section.png" mimetypes="video/mpeg,video/msvideo,video/quicktime,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,application/x-ogg,audio/x-mp3,audio/x-mpeg,video/x-fli,audio/x-wav" accept_url="true" multiple_files="true" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Oxine
Comment=OSD Xine Video Player
Exec=%name %U
Icon=video_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Video;Video;Player;
MimeType=video/mpeg;video/msvideo;video/quicktime;video/x-avi;video/x-ms-asf;video/x-ms-wmv;video/x-msvideo;application/x-ogg;audio/x-mp3;audio/x-mpeg;video/x-fli;audio/x-wav;
EOF

%find_lang %name

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO AUTHORS ChangeLog doc/doc.html
%_bindir/%name
%_datadir/%name
%_datadir/applications/mandriva-*
%_menudir/%name

%changelog
* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2007.0
- rebuild for new Magick

* Thu Aug 24 2006 Gtz Waschk <waschk@mandriva.org> 0.5-5mdv2007.0
- xdg menu

* Thu Jun 08 2006 Götz Waschk <waschk@mandriva.org> 0.5-4mdk
- rebuild for new Magick

* Wed Mar 01 2006 Götz Waschk <waschk@mandriva.org> 0.5-3mdk
- rebuild for new Magick

* Thu Feb 23 2006 Götz Waschk <waschk@mandriva.org> 0.5-2mdk
- rebuild for new Magick

* Wed Feb 08 2006 Götz Waschk <waschk@mandriva.org> 0.5-1mdk
- New release 0.5

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.4-3mdk
- fix menu dir

* Mon Oct 24 2005 Gtz Waschk <waschk@mandriva.org> 0.4-2mdk
- fix deps

* Sun Oct 23 2005 Gtz Waschk <waschk@mandriva.org> 0.4-1mdk
- new version

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix buildrequires
- drop prefix

* Fri Apr  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- initial package

